Subject: bug#47236: 28.0.50; ebdb-mua-pop-up bad interaction with gnus window configurations

From: Robert Pluim <[email-masked]>
Date: Tue, 29 Jun 2021 09:44:58 +0200

>>>>> On Mon, 28 Jun 2021 09:20:05 -0700, Eric Abrahamsen <[email-masked]> said:
    >> (when ebdb-message-window-configuration
    >> (add-to-list 'gnus-window-to-buffer
    >> (cons ebdb-message-window-configuration
    >> (ebdb-message-buffer-name))))

    Eric> Oh, I thought I had! I think I was gluing together the mail and message
    Eric> functions in my brain.

Idle thought: maybe we should just remove mail-mode and add some
compatibility code pointing at message.

    >> And maybe you need to add an ebdb-mail-window-configuration variable,
    >> and use that instead of ebdb-message-window-configuration in
    >> ebdb-insinuate-mail?

    Eric> I'm not sure that's necessary -- it's a bit weird to have the wrong name
    Eric> in there if you're using mail-mode, but it would only cause trouble if a
    Eric> user was using _both_ message-mode and mail-mode, and wanted separate
    Eric> *EBDB* buffers for each. I think this can safely do double duty.

One thing Iʼve learned is that saying "there are no Emacs users who
use <foo> and <bar> at the same time" is almost certain to trip you
up. But not in this case. Probably.

Robert
--